Bug 1417864 - Qemu-kvm starts with unspecified port
Summary: Qemu-kvm starts with unspecified port
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.4
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 10:32 UTC by Radek Duda
Modified: 2018-04-10 14:32 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-1.5.3-148.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 14:32:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0816 0 normal SHIPPED_LIVE Low: qemu-kvm security, bug fix, and enhancement update 2018-04-10 12:47:03 UTC

Description Radek Duda 2017-01-31 10:32:56 UTC
Description of problem:
If qemu-kvm command is launched with unspecified port option (e.g. "-spice port="), it starts normally.

Version-Release number of selected component (if applicable):
qemu-kvm-1.5.3-129.el7.x86_64
and qemu-kvm-rhev.2.6.0-28.el7.x86_64


How reproducible:
always

Steps to Reproduce:
1.Start VM with unspecified spice port ('-spice port=') for example:
/usr/libexec/qemu-kvm -machine pc  -nodefaults  -vga qxl   -device intel-hda,bus=pci.0,addr=03  -device hda-duplex -device virtio-serial-pci,id=virtio_serial_pci0,bus=pci.0,addr=04 -chardev spicevmc,id=idSwuYmk,name=vdagent -devicevirtserialport,id=idBWNLHY,name=com.redhat.spice.0,bus=virtio_serial_pci0.0,chardev=idSwuYmk -drive id=drive_image1,if=none,cache=none,format=qcow2,file=Rhel7.2 -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=0,bus=pci.0,addr=05 -m 1024 -spice disable-ticketing,port=  -monitor stdio
 

Actual results:
VM starts normally. 
(qemu) info spice -> No listening address specified

Expected results:
qemu-kvm will exit with code 1, and following message:
'neither port nor tls-port specified for spice' or something like this

Comment 2 Marc-Andre Lureau 2017-02-06 13:32:56 UTC
Sent one-liner  patch "[PATCH] qemu-option: reject empty number value", not sure it's really going to happen, foo= default to value 0 is perhaps an acceptable behaviour.

Comment 3 Marc-Andre Lureau 2017-03-20 08:19:45 UTC
Fixed from 2.9:

commit 3403e5eb884f3a74c40fe7cccc103f848c040215
Author: Markus Armbruster <armbru@redhat.com>
Date:   Tue Feb 21 21:13:53 2017 +0100

    option: Fix to reject invalid and overflowing numbers

Comment 4 Marc-Andre Lureau 2017-06-06 10:10:06 UTC
sent patch to rhvirt-list "[RHEL-7.4 qemu-kvm PATCH] qemu-option: reject empty number value"

Comment 5 Marc-Andre Lureau 2017-11-03 18:09:45 UTC
sent new version "[RHEL-7.5 qemu-kvm PATCH v2] qemu-option: reject empty number value"

Comment 6 Miroslav Rezanina 2017-11-10 02:48:46 UTC
Fix included in qemu-kvm-1.5.3-148.el7

Comment 12 errata-xmlrpc 2018-04-10 14:32:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0816


Note You need to log in before you can comment on or make changes to this bug.